Upload borrow curves
curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/UploadBorrowCurves \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"use_best_effort": true,
"upload_zero_rates": true,
"market_date": "2000-01-23T04:56:07.000+00:00",
"borrow_rates_by_identifiers": [
{
"value": [
{
"value": 3.5571952270680973,
"key": "key"
},
{
"value": 3.5571952270680973,
"key": "key"
}
],
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
},
{
"value": [
{
"value": 3.5571952270680973,
"key": "key"
},
{
"value": 3.5571952270680973,
"key": "key"
}
],
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
}
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/UploadBorrowCurves"
payload = {
"use_best_effort": True,
"upload_zero_rates": True,
"market_date": "2000-01-23T04:56:07.000+00:00",
"borrow_rates_by_identifiers": [
{
"value": [
{
"value": 3.5571952270680973,
"key": "key"
},
{
"value": 3.5571952270680973,
"key": "key"
}
],
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
},
{
"value": [
{
"value": 3.5571952270680973,
"key": "key"
},
{
"value": 3.5571952270680973,
"key": "key"
}
],
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
use_best_effort: true,
upload_zero_rates: true,
market_date: '2000-01-23T04:56:07.000+00:00',
borrow_rates_by_identifiers: [
{
value: [
{value: 3.5571952270680973, key: 'key'},
{value: 3.5571952270680973, key: 'key'}
],
key: {
code: 'code',
market_identification_code: 'market_identification_code',
identifier_type: 'Derivitec'
}
},
{
value: [
{value: 3.5571952270680973, key: 'key'},
{value: 3.5571952270680973, key: 'key'}
],
key: {
code: 'code',
market_identification_code: 'market_identification_code',
identifier_type: 'Derivitec'
}
}
]
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/UploadBorrowCurves', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/UploadBorrowCurves",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'use_best_effort' => true,
'upload_zero_rates' => true,
'market_date' => '2000-01-23T04:56:07.000+00:00',
'borrow_rates_by_identifiers' => [
[
'value' => [
[
'value' => 3.5571952270680973,
'key' => 'key'
],
[
'value' => 3.5571952270680973,
'key' => 'key'
]
],
'key' => [
'code' => 'code',
'market_identification_code' => 'market_identification_code',
'identifier_type' => 'Derivitec'
]
],
[
'value' => [
[
'value' => 3.5571952270680973,
'key' => 'key'
],
[
'value' => 3.5571952270680973,
'key' => 'key'
]
],
'key' => [
'code' => 'code',
'market_identification_code' => 'market_identification_code',
'identifier_type' => 'Derivitec'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/UploadBorrowCurves"
payload := strings.NewReader("{\n \"use_best_effort\": true,\n \"upload_zero_rates\": true,\n \"market_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"borrow_rates_by_identifiers\": [\n {\n \"value\": [\n {\n \"value\": 3.5571952270680973,\n \"key\": \"key\"\n },\n {\n \"value\": 3.5571952270680973,\n \"key\": \"key\"\n }\n ],\n \"key\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n },\n {\n \"value\": [\n {\n \"value\": 3.5571952270680973,\n \"key\": \"key\"\n },\n {\n \"value\": 3.5571952270680973,\n \"key\": \"key\"\n }\n ],\n \"key\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/UploadBorrowCurves")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"use_best_effort\": true,\n \"upload_zero_rates\": true,\n \"market_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"borrow_rates_by_identifiers\": [\n {\n \"value\": [\n {\n \"value\": 3.5571952270680973,\n \"key\": \"key\"\n },\n {\n \"value\": 3.5571952270680973,\n \"key\": \"key\"\n }\n ],\n \"key\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n },\n {\n \"value\": [\n {\n \"value\": 3.5571952270680973,\n \"key\": \"key\"\n },\n {\n \"value\": 3.5571952270680973,\n \"key\": \"key\"\n }\n ],\n \"key\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/UploadBorrowCurves")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"use_best_effort\": true,\n \"upload_zero_rates\": true,\n \"market_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"borrow_rates_by_identifiers\": [\n {\n \"value\": [\n {\n \"value\": 3.5571952270680973,\n \"key\": \"key\"\n },\n {\n \"value\": 3.5571952270680973,\n \"key\": \"key\"\n }\n ],\n \"key\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n },\n {\n \"value\": [\n {\n \"value\": 3.5571952270680973,\n \"key\": \"key\"\n },\n {\n \"value\": 3.5571952270680973,\n \"key\": \"key\"\n }\n ],\n \"key\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"$type": "Derivitec.Web.Core.MarketData.ApiUploadBorrowCurvesResponse, Derivitec.Web.Core",
"is_success": true,
"error_messages": [
"<string>"
]
}Upload borrow curves
POST
/
api
/
MarketData
/
UploadBorrowCurves
Upload borrow curves
curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/UploadBorrowCurves \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"use_best_effort": true,
"upload_zero_rates": true,
"market_date": "2000-01-23T04:56:07.000+00:00",
"borrow_rates_by_identifiers": [
{
"value": [
{
"value": 3.5571952270680973,
"key": "key"
},
{
"value": 3.5571952270680973,
"key": "key"
}
],
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
},
{
"value": [
{
"value": 3.5571952270680973,
"key": "key"
},
{
"value": 3.5571952270680973,
"key": "key"
}
],
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
}
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/UploadBorrowCurves"
payload = {
"use_best_effort": True,
"upload_zero_rates": True,
"market_date": "2000-01-23T04:56:07.000+00:00",
"borrow_rates_by_identifiers": [
{
"value": [
{
"value": 3.5571952270680973,
"key": "key"
},
{
"value": 3.5571952270680973,
"key": "key"
}
],
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
},
{
"value": [
{
"value": 3.5571952270680973,
"key": "key"
},
{
"value": 3.5571952270680973,
"key": "key"
}
],
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
use_best_effort: true,
upload_zero_rates: true,
market_date: '2000-01-23T04:56:07.000+00:00',
borrow_rates_by_identifiers: [
{
value: [
{value: 3.5571952270680973, key: 'key'},
{value: 3.5571952270680973, key: 'key'}
],
key: {
code: 'code',
market_identification_code: 'market_identification_code',
identifier_type: 'Derivitec'
}
},
{
value: [
{value: 3.5571952270680973, key: 'key'},
{value: 3.5571952270680973, key: 'key'}
],
key: {
code: 'code',
market_identification_code: 'market_identification_code',
identifier_type: 'Derivitec'
}
}
]
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/UploadBorrowCurves', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/UploadBorrowCurves",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'use_best_effort' => true,
'upload_zero_rates' => true,
'market_date' => '2000-01-23T04:56:07.000+00:00',
'borrow_rates_by_identifiers' => [
[
'value' => [
[
'value' => 3.5571952270680973,
'key' => 'key'
],
[
'value' => 3.5571952270680973,
'key' => 'key'
]
],
'key' => [
'code' => 'code',
'market_identification_code' => 'market_identification_code',
'identifier_type' => 'Derivitec'
]
],
[
'value' => [
[
'value' => 3.5571952270680973,
'key' => 'key'
],
[
'value' => 3.5571952270680973,
'key' => 'key'
]
],
'key' => [
'code' => 'code',
'market_identification_code' => 'market_identification_code',
'identifier_type' => 'Derivitec'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/UploadBorrowCurves"
payload := strings.NewReader("{\n \"use_best_effort\": true,\n \"upload_zero_rates\": true,\n \"market_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"borrow_rates_by_identifiers\": [\n {\n \"value\": [\n {\n \"value\": 3.5571952270680973,\n \"key\": \"key\"\n },\n {\n \"value\": 3.5571952270680973,\n \"key\": \"key\"\n }\n ],\n \"key\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n },\n {\n \"value\": [\n {\n \"value\": 3.5571952270680973,\n \"key\": \"key\"\n },\n {\n \"value\": 3.5571952270680973,\n \"key\": \"key\"\n }\n ],\n \"key\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/UploadBorrowCurves")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"use_best_effort\": true,\n \"upload_zero_rates\": true,\n \"market_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"borrow_rates_by_identifiers\": [\n {\n \"value\": [\n {\n \"value\": 3.5571952270680973,\n \"key\": \"key\"\n },\n {\n \"value\": 3.5571952270680973,\n \"key\": \"key\"\n }\n ],\n \"key\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n },\n {\n \"value\": [\n {\n \"value\": 3.5571952270680973,\n \"key\": \"key\"\n },\n {\n \"value\": 3.5571952270680973,\n \"key\": \"key\"\n }\n ],\n \"key\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/UploadBorrowCurves")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"use_best_effort\": true,\n \"upload_zero_rates\": true,\n \"market_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"borrow_rates_by_identifiers\": [\n {\n \"value\": [\n {\n \"value\": 3.5571952270680973,\n \"key\": \"key\"\n },\n {\n \"value\": 3.5571952270680973,\n \"key\": \"key\"\n }\n ],\n \"key\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n },\n {\n \"value\": [\n {\n \"value\": 3.5571952270680973,\n \"key\": \"key\"\n },\n {\n \"value\": 3.5571952270680973,\n \"key\": \"key\"\n }\n ],\n \"key\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"$type": "Derivitec.Web.Core.MarketData.ApiUploadBorrowCurvesResponse, Derivitec.Web.Core",
"is_success": true,
"error_messages": [
"<string>"
]
}Authorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Available options:
Derivitec.Web.Core.MarketData.ApiUploadBorrowCurvesRequest, Derivitec.Web.Core Show child attributes
Show child attributes
Was this page helpful?